org.eclipse.net4j.util.fsm

## Class FiniteStateMachine.IgnoreTransition

- java.lang.Object
- - org.eclipse.net4j.util.fsm.FiniteStateMachine.IgnoreTransition

- All Implemented Interfaces:
    ITransition<java.lang.Enum<?>,java.lang.Enum<?>,java.lang.Object,java.lang.Object>
  Enclosing class:
    FiniteStateMachine<STATE extends java.lang.Enum<?>,EVENT extends java.lang.Enum<?>,SUBJECT>

  Deprecated.
  Use `FiniteStateMachine.IGNORE`

      @Deprecated
      public static class FiniteStateMachine.IgnoreTransition
      extends java.lang.Object
      implements ITransition<java.lang.Enum<?>,java.lang.Enum<?>,java.lang.Object,java.lang.Object>

  A `transition` that does nothing.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgnoreTransition()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(java.lang.Object subject, java.lang.Enum<?> state, java.lang.Enum<?> event, java.lang.Object data)` Deprecated.
    `java.lang.String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IgnoreTransition

          public IgnoreTransition()

      Deprecated.

  - ### Method Detail

    - #### execute

          public void execute(java.lang.Object subject,
                              java.lang.Enum<?> state,
                              java.lang.Enum<?> event,
                              java.lang.Object data)

      Deprecated.
      Specified by:
        `execute` in interface `ITransition<java.lang.Enum<?>,java.lang.Enum<?>,java.lang.Object,java.lang.Object>`

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html